<?php

// Custom script to remove comments block

require_once 'vtlib/Vtiger/Module.php';
require_once 'modules/ModComments/ModComments.php';

$commentsModule = Vtiger_Module::getInstance('ModComments');

// This will remove the comments block from display on DetailView.
ModComments::removeWidgetFrom('Products'); // Give the module name here for which you want to deselect comment module



// This will make sure to remove the relation as well
$fieldInstance = Vtiger_Field::getInstance('related_to', $commentsModule);
$fieldInstance->unsetRelatedModules(array('Products'));//Give the module name here for which you want to deselect comment module

echo "Comments have been removed for Products Module";

?>

